# KunpoLib
基于 Cocos Creator 3.0+ 的一套游戏框架，提供了一系列实用模块，帮助开发者快速构建高质量的游戏项目。
项目持续优化中，敬请期待~~~


## 安装kunpocc
项目已发布到 `npm`, 安装方法如下：
> 如果连不上npm, 可使用国内镜像 比如: 阿里
```bash
npm install kunpocc
```

# 目录
1. [使用教程 (新手必看)](./docs/Noviciate.md)

2. [项目配置](./docs/Basic.md)
3. [UI模块](./docs/UI.md)
4. [实体组件模块](./docs/EC.md) 
5. [网络模块](./docs/HTTP.md)
6. [四叉树](./docs/QuadTree.md)
7. [行为树](./docs/BehaviorTree.md)
8. [资源管理](./docs/Asset.md)
9. [条件显示节点 (一般用于UI上的红点)](./docs/Condition.md)
10. [全局事件](./docs/Event.md)
11. [全局计时器](./docs/Timer.md)
12. [平台工具](./docs/Platform.md)
13. [屏幕尺寸](./docs/Screen.md)
14. [小工具](./docs/Tools.md)
15. [时间](./docs/Time.md)
16. [socket网络模块](./docs/Socket.md)
17. [小游戏接口封装](./docs/MiniGame.md)
18. [热更新](./docs/HotUpdate.md)
## 类型支持

该库完全使用 TypeScript 编写，提供完整的类型定义文件。

## 许可证

ISC License

## 作者

gongxh

## 联系作者

*  邮箱: gong.xinhai@163.com

## 仓库
[kunpocc gitree地址](https://gitee.com/gongxinhai/kunpolibrary)

[kunpocc github地址](https://github.com/Gongxh0901/kunpolibrary)


[github demo地址](https://github.com/Gongxh0901/KunpoDemo)

[gitee demo地址](https://gitee.com/gongxinhai/kunpo-demo)
